# Class CsrfPreventionFilter.PrefixPredicate

java.lang.Object
org.apache.catalina.filters.CsrfPreventionFilter.PrefixPredicate

All Implemented Interfaces:
  `Predicate<String>`

Enclosing class:
  `CsrfPreventionFilter`

protected static class CsrfPreventionFilter.PrefixPredicate extends Object implements Predicate<String>
A no-nonce Predicate that matches a prefix.

## Constructor Summary

Constructors
Constructor
Description
`PrefixPredicate(String prefix)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(String t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### PrefixPredicate

public PrefixPredicate(String prefix)

## Method Details

### test

public boolean test(String t)

Specified by:
  `test` in interface `Predicate<String>`